# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [3.2.1](https://github.com/highcharts/highcharts-react/compare/v3.0.0...v3.2.1) (2023-08-31)

### Features

* adapted TS definitions for version 5.2.2 ([c24b667](https://github.com/highcharts/highcharts-react/commit/c24b667))
* exported HighchartsReactProps HighchartsReactRefObject types ([774c47b](https://github.com/highcharts/highcharts-react/commit/774c47b))

# [3.2.0](https://github.com/highcharts/highcharts-react/compare/v3.1.0...v3.2.0) (2023-03-01)

### Features

* restricted chart update by adding props: `options`, `allowChartUpdate`, `updateArgs`, `containerProps`, `highcharts`, `constructorType` to useEffect dependency array ([30a9e1f](https://github.com/highcharts/highcharts-react/commit/30a9e1f))
* updated Highcharts with TypeScript section in README ([7c32a50](https://github.com/highcharts/highcharts-react/commit/7c32a50))
* added HighchartsReact named export ([ceadaf1](https://github.com/highcharts/highcharts-react/commit/ceadaf1))
* fixed build-demo script ([d9a82b7](https://github.com/highcharts/highcharts-react/commit/d9a82b7))
* fixed #366 - recreate a chart on constructorType or highcharts props change ([30a9e1f](https://github.com/highcharts/highcharts-react/commit/30a9e1f))

# [3.1.0](https://github.com/highcharts/highcharts-react/compare/v3.0.0...v3.1.0) (2021-10-14)

### Features

* increase Highcharts dev dependency to >=9.0.0 ([f7f9efc](https://github.com/highcharts/highcharts-react/commit/f7f9efc))
* updated docs ([589c096](https://github.com/highcharts/highcharts-react/commit/589c096))
* removed Highcharts import in HighchartsReact component ([8344597](https://github.com/highcharts/highcharts-react/commit/8344597))
* improved component types([746ccb8](https://github.com/highcharts/highcharts-react/commit/746ccb8))

<a name="3.0.0"></a>
# [3.0.0](https://github.com/highcharts/highcharts-react/compare/v2.2.2...v3.0.0) (2020-02-17)


### Features

* increase React peer dependency to v16.8.0 ([030ac4e](https://github.com/highcharts/highcharts-react/commit/030ac4e))
* refactor component with React Hooks ([c8b1e55](https://github.com/highcharts/highcharts-react/commit/c8b1e55))
* refactor tests ([634a7e7](https://github.com/highcharts/highcharts-react/commit/25f5ecb))


### BREAKING CHANGES

* To upgrade, run `yarn add react@^16.8.0 react-dom@^16.8.0` or `npm install --save react@^16.8.0 react-dom@^16.8.0`.
If you're using `react-test-renderer`, you'll need to bump it to `^16.8.0` as well.



<a name="2.2.2"></a>
## [2.2.2](https://github.com/highcharts/highcharts-react/compare/v2.2.1...v2.2.2) (2019-06-07)


### Bug Fixes

* Changed the way of importing Highcharts package. ([e7c314b](https://github.com/highcharts/highcharts-react/commit/e7c314b))


### Features

* **husky:** Husky added. ([1d8234a](https://github.com/highcharts/highcharts-react/commit/1d8234a))



<a name="2.2.1"></a>
## [2.2.1](https://github.com/highcharts/highcharts-react/compare/v2.2.0...v2.2.1) (2019-06-07)


### Bug Fixes

* **webpack:** Externals extended. Closes [#132](https://github.com/highcharts/highcharts-react/issues/132) ([193b3d2](https://github.com/highcharts/highcharts-react/commit/193b3d2))



<a name="2.2.0"></a>
# [2.2.0](https://github.com/highcharts/highcharts-react/compare/v2.1.3...v2.2.0) (2019-06-07)


### Bug Fixes

* Fixed externals [#114](https://github.com/highcharts/highcharts-react/issues/114). ([ee27ed0](https://github.com/highcharts/highcharts-react/commit/ee27ed0))


### Features

* **debugger:** Added warning messages. ([3b3ff83](https://github.com/highcharts/highcharts-react/commit/3b3ff83))
* **immutable:** Support for immutable prop - rerendering entire chart on componentDidUpdate. ([6464894](https://github.com/highcharts/highcharts-react/commit/6464894))



<a name="2.1.3"></a>
## [2.1.3](https://github.com/highcharts/highcharts-react/compare/v2.1.2...v2.1.3) (2019-03-27)


## Features

* Fixed [#106](https://github.com/highcharts/highcharts-react/issues/106) -  incorrect typescript typing  ([4ffad38](https://github.com/highcharts/highcharts-react/commit/4ffad38))



<a name="2.1.2"></a>
## [2.1.2](https://github.com/highcharts/highcharts-react/compare/v2.1.1...v2.1.2) (2019-03-20)


## Features

* Fixed [#102](https://github.com/highcharts/highcharts-react/issues/102) -  tsconfig incompatibility  ([4e27d0d](https://github.com/highcharts/highcharts-react/commit/4e27d0d))
* Corrections in the documentation.



<a name="2.1.1"></a>
## [2.1.1](https://github.com/highcharts/highcharts-react/compare/v2.1.0...v2.1.1) (2019-03-07)


## Features

* Fixed [#20](https://github.com/highcharts/highcharts-react/issues/20) - invalid indexer type  ([1345d32](https://github.com/highcharts/highcharts-react/commit/1345d32))



<a name="2.1.0"></a>
# [2.1.0](https://github.com/highcharts/highcharts-react/compare/v2.0.0...v2.1.0) (2019-03-07)


### Features

* Added `containerProps` option and corrections to the docs.  ([f14a969](https://github.com/highcharts/highcharts-react/commit/f14a969))
* Added TypeScript declarations. ([b64eb01](https://github.com/highcharts/highcharts-react/commit/b64eb01))



<a name="2.0.0"></a>
# [2.0.0](https://github.com/highcharts/highcharts-react/compare/v1.5.1...v2.0.0) (2018-11-08)


### Features

* **webpack-and-sourcemap-added:** Code compiled to ES5, added sourcemaps. ([cb5083a](https://github.com/highcharts/highcharts-react/commit/cb5083a))
* Updated for React v16 ([20c7ef9](https://github.com/highcharts/highcharts-react/commit/20c7ef9))



<a name="1.4.1"></a>
## [1.4.1](https://github.com/highcharts/highcharts-react/compare/v1.4.0...v1.4.1) (2018-10-26)



<a name="1.4.0"></a>
# [1.4.0](https://github.com/highcharts/highcharts-react/compare/v1.3.2...v1.4.0) (2018-08-24)


### Features

* Added changelog. ([097ca9a](https://github.com/highcharts/highcharts-react/commit/097ca9a))
